Monitoreo de Volcanes - Task #262

Milestone # 283 (New): Investigacion aeronautica: Construccion de drones, vuelos y pruebas iniciales, retroalimentacion del campo y prototipos

Circuito para Tarjeta de union sensores-PCduino

11/17/2015 08:48 AM - Diego Lume

Status: Closed
Priority: High
Assignee: Diego Lume
Category:

Target version: Version 1.0

Start date: 11/16/2015
Due date: 11/26/2015
% Done: 0%
Estimated time: 8.00 hours
Spent time: 0.00 hour

Description

Herramienta de software de diseno de PCBs

Eagle 7.3

Funcionalidad

La principal funcién de esta tarjeta es la union entre los sensores y el PCduino

Funcién Descripcion Prueba de confiabilidad
1 Sensor humedad relativa y Conexion via 12C con SCK de | Verificar si se reciben los datos
temperatura 200KHz (Comparar con los valores del
DataHawk)
2 Sensor de CO2(dioxido de Conexion via UART 19200 Comprobar en un ambiente sin
carbono) bauds ningln gas e ir agregando con
co2
3 Sensor de SO2(di6xido de Utilizando el ADC de Comprobar en un ambiente sin
azufre) PCDUINO se leeran los ningun gas e ir agregando con
valores de voltaje 0-3.3v S02
provenientes del sensor
4 Sensor de humo Utilizando el ADC de Comprobar en un ambiente sin
PCDUINO se leeran los ningun gas e ir agregando
valores de voltaje 0-3.6v humo
provenientes del sensor,
ademas se utilizara un GPIO
para emitir un clock de 100Hz
Pw=0.32ms.
5 GPS Conexion via UART 115200 Verificar si se reciben los datos
bauds (Comparar con los valores del
DataHawk)
6 GoPro GPIO utilizado para habilitar la | Verificar si la cAmara obedece
filmacién o toma de fotos la funcion
7 PixHawk Comunicacién del PCduino
con por SPl a 10 MHz para
enviar los datos de los
sensores.
Entradas y salidas
UART SPI 12C ADC
Tipo e e e e
Voltaje maximo v | 3.3V

Voltaje minimo
UART SPI 12C ADC
Corriente maxima 10uA 10uA 10uA 10uA
Corriente minima 10uA 10uA 10uA 10uA
VOH e e e e
VOL 0.2V 0.2V 0.2V 0.2V
VIH VCC+0.3 VCC+0.3 VCC+0.3 VCC+0.3
VIL 0.3*VCC 0.3*VCC 0.3*VCC 0.3*VCC
Impedancia |- e e e
Capacitancia 5pF 5pF 5pF 5pF
Frecuencia operacién 19200(C02)-115200(G |10 MHz 200KHz |

PS)
Frecuencia maxima |------- 12 MHz 400KHz |-
Resolucion |- || 12 bits

Diagrama de bloques

Diagrama-Sensores.png

Respositorio

Documentacién de los sensores e integrados:

http://jro-dev.igp.gob.pe/svn/jro_hard/mnvolcan/trunk/doc/Avion/

Tarjetas en Eagle:

http://jro-dev.igp.gob.pe/svn/jro_hard/mnvolcan/trunk/scr/PCB/Avion/

History

#1 - 11/17/2015 08:49 AM - Diego Lume

- Assignee changed from Diego Lume to Joaquin Verastegui

#2 - 11/17/2015 08:58 AM - Joaquin Verastegui

- Status changed from New to In progress

#3 - 11/18/2015 12:41 PM - Joaquin Verastegui

- Target version set to Version 1.0

#4 - 11/19/2015 12:03 PM - Joaquin Verastegui
- Parent task set to #281

#5 - 01/05/2016 04:06 PM - Danny Scipion
- Parent task changed from #281 to #283

#6 - 01/05/2016 04:22 PM - Danny Scipion

- Subject changed from Revision de circuito para Tarjeta de union sensores-PCduino to Circuito para Tarjeta de union sensores-PCduino

#7 - 01/28/2016 05:14 PM - Joaquin Verastegui

Observacion

Sefal o componente asociado

Resultado

Trabajar en mils, no en mms. Los tamarfios de
pistas son muy pequefios, para una tarjeta
simple deberia ser de 12 mils minimo, creo que
trabajando a 16 mils estaria bien.
http://jro-dev.igp.gob.pe/svn/jro_hard/mnvolcan/trunk/doc/Avion/
http://jro-dev.igp.gob.pe/svn/jro_hard/mnvolcan/trunk/scr/PCB/Avion/

Observacion

Sefal o componente asociado

Resultado

Trabajar con un solo tamafio de pista por
sefal, y en lo posible estandarizar todas las
pistas al mismo grosor, salvo que sea de
alimentacion y necesite mayor corriente.

Se recomienda trabajar con un grid en mils
también para que todo pueda encajar bien y
pueda verse ordenado.

Quitarle la opcién de Thermals a los poligonos,
en circuitos pequefios como este no es
necesario.

Poner un isolate de 12 mils minimo en los
poligonos.

#8 - 01/28/2016 05:19 PM - Joaquin Verastegui

- Assignee changed from Joaquin Verastegui to Diego Lume

#9 - 09/05/2017 03:50 PM - Joab Apaza

- Status changed from In progress to Closed
